# Extra Mailman Archivers

This contains some extra archivers to be used with Mailman 3.
Currently there is only one archiver, `MonthlyArchiver`, which simply gzips
each message and stores it in a folder named by the year and month. Each
message's file name is a Unix epoch timestamp.

Example directory structure:
```
/var/lib/mailman3/archives
\_ monthly_archiver
   \_ mylist@mydomain.com
      \_ 2021-April
         \_ 1617678398.173.mail.gz
         \_ 1617678805.351.mail.gz
      \_ 2021-May
         \_ ...
```

The motivation behind `MonthlyArchiver` was to avoid storing thousands of
messages in a single directory, which the `Prototype` archiver currently
does since it uses a maildir.

## Installation
Make sure to have the following packages installed first:
```sh
apt install python3-pip python3-setuptools python3-wheel
```
Then:
```sh
pip3 install .
```
